import 'package:freezed_annotation/freezed_annotation.dart';

part 'auth_event.freezed.dart';

@freezed
class AuthEvent with _$AuthEvent {
  const factory AuthEvent.started() = AuthEventStarted;
  const factory AuthEvent.loginRequested(String username, String password) = AuthEventLoginRequested;
  const factory AuthEvent.registerRequested(String username, String password, String name) = AuthEventRegisterRequested;
  const factory AuthEvent.logoutRequested() = AuthEventLogoutRequested;
  const factory AuthEvent.authChecked() = AuthEventAuthChecked;
  const factory AuthEvent.usernameChanged(String username) = AuthEventUsernameChanged;
  const factory AuthEvent.passwordChanged(String password) = AuthEventPasswordChanged;
  const factory AuthEvent.nameChanged(String name) = AuthEventNameChanged;
}
